Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.forms.html
Class ChoiceSet

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<ChoiceSet.Choice>
                  org.makumba.forms.html.ChoiceSet

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<ChoiceSet.Choice>, Collection<ChoiceSet.Choice>, List<ChoiceSet.Choice>, RandomAccess

    public class ChoiceSet

extends ArrayList<ChoiceSet.Choice>

An ordered set of chooser choices

Author:
  Cristian Bogdan
See Also:
  Serialized Form

Nested Class Summary
`class` | `ChoiceSet.Choice`

Field Summary
`(package private) Map<Object,ChoiceSet.Choice>` | `m`
`static String` | `PARAMNAME`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ChoiceSet()`

Method Summary
`void` | `add(Object value, String title, boolean forceSelection, boolean forceDeselection)`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Field Detail

### PARAMNAME

    public static final String PARAMNAME

See Also:
  Constant Field Values

### m

    Map<Object,ChoiceSet.Choice> m

Constructor Detail

### ChoiceSet

    public ChoiceSet()

Method Detail

### add

    public void add(Object value,
                    String title,
                    boolean forceSelection,
                    boolean forceDeselection)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20